#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SpatialNotFound {
    #[serde(rename = "spatialRid")]
    spatial_rid: conjure_object::ResourceIdentifier,
}
impl SpatialNotFound {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(spatial_rid: conjure_object::ResourceIdentifier) -> Self {
        Self::builder().spatial_rid(spatial_rid).build()
    }
    #[inline]
    pub fn spatial_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.spatial_rid
    }
}
impl conjure_error::ErrorType for SpatialNotFound {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::NotFound
    }
    #[inline]
    fn name() -> &'static str {
        "Spatial:SpatialNotFound"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["spatialRid"]
    }
}
